# Class CachedObject

java.lang.Object
org.fressian.CachedObject

All Implemented Interfaces:
  `Cached`

public class CachedObject extends Object implements Cached

## Field Summary

Fields
Modifier and Type
Field
Description
`final Object`
`objectToCache`

## Constructor Summary

Constructors
Constructor
Description
`CachedObject(Object objectToCache)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getObjectToCache()`
`static Object`
`unwrap(Object o)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### objectToCache

public final Object objectToCache

## Constructor Details

### CachedObject

public CachedObject(Object objectToCache)

## Method Details

### getObjectToCache

public Object getObjectToCache()

Specified by:
  `getObjectToCache` in interface `Cached`

### unwrap

public static Object unwrap(Object o)